
class Post
{
	int id
	String title
	Date date
	String content
	String tags
    User user

    static constraints =
	{
		title(blank:false)
		date(blank:false)
		content(blank:false)
		tags(blank:true)
    }

	static hasMany = [comments:Comment, categories:BlogCategory]

	def String toString()
	{
		return "$title"
	}
}
