
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Post details</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="list" action="manage">Back to Post Overview</g:link></span>
            <span class="menuButton"><g:link class="create" action="create">Add new Post</g:link></span>
        </div>
        <div class="body">
            <h1>Post details</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>

                        <tr class="prop">
                            <td valign="top" class="name">Title:</td>

                            <td valign="top" class="value">${fieldValue(bean:postInstance, field:'title')}</td>

                        </tr>
						<tr class="prop">
                            <td valign="top" class="name">Tags:</td>

                            <td valign="top" class="value">${fieldValue(bean:postInstance, field:'tags')}</td>

                        </tr>
						<tr class="prop">
                            <td valign="top" class="name">Date:</td>

                            <td valign="top" class="value">${String.format('%tF', postInstance.date)}</td>

                        </tr>
						<tr class="prop">
                            <td valign="top" class="name">User:</td>

                            <td valign="top" class="value">${postInstance.user.name}</td>

                        </tr>
                        <tr class="prop">
                            <td valign="top" class="name">Categories:</td>

                            <td valign="top" class="value">
                                <g:each in="${postInstance.categories}" var="x">
                                    ${x.name}<br/>
                                </g:each>
                            </td>

                        </tr>
						<tr class="prop">
                            <td valign="top" class="name">Content:</td>

                            <td valign="top" class="value">${postInstance.content}</td>

                        </tr>

                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <input type="hidden" name="id" value="${postInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
