

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Add a new Comment</title>
    </head>
    <body>
        <div class="body">
            <h1>Add a new Comment</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${commentInstance}">
            <div class="errors">
                <g:renderErrors bean="${commentInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" method="post" >
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="author">Author:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:commentInstance,field:'author','errors')}">
                                    <input size="50" type="text" id="author" name="author" value="${fieldValue(bean:commentInstance,field:'author')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="email">Email (Won't be published):</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:commentInstance,field:'email','errors')}">
                                    <input size="50" type="text" id="email" name="email" value="${fieldValue(bean:commentInstance,field:'email')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="website">Website:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:commentInstance,field:'website','errors')}">
                                    <input size="50" type="text" id="website" name="website" value="${fieldValue(bean:commentInstance,field:'website')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="content">Content:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:commentInstance,field:'content','errors')}">
                                    <textarea cols="58" rows="10" id="content" name="content">${fieldValue(bean:commentInstance,field:'content')}</textarea>
                                    <input type="hidden" id="post" name="post" value="${commentInstance?.post.id}"/>
                                </td>
                            </tr> 
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><input class="save" type="submit" value="Create" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
