<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

	<meta http-equiv="cache-control" content="no-cache" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-script-type" content="text/javascript" />
	<meta http-equiv="content-style-type" content="text/css" />
	<meta http-equiv="content-language" content="de" />
	<meta http-equiv="expires" content="86400" />
	<meta http-equiv="pragma" content="no-cache" />

	
	<script type="text/javascript" src="${resource(dir:'js',file:'jquery-1.3.2.min.js')}"></script>
	<script type="text/javascript" src="${resource(dir:'js',file:'jquery.wysiwyg.js')}"></script>
	

	<link rel="stylesheet" href="${resource(dir:'css',file:'reset.css')}" type="text/css" media="screen" />
	<link rel="stylesheet" href="${resource(dir:'css',file:'main.css')}" type="text/css" media="screen" />
	<link rel="stylesheet" href="${resource(dir:'css',file:'content.css')}" type="text/css" media="screen" />
	<link rel="stylesheet" href="${resource(dir:'css',file:'jquery.wysiwyg.css')}" type="text/css" media="screen" />

	<link rel="shortcut icon" href="${resource(dir:'images',file:'favicon.ico')}" type="image/x-icon" />

	<g:layoutHead />
	<g:javascript library="application" />

	<title><g:layoutTitle default="YET ANOTHER BLOG" /></title>

</head>
<body>
	<div id="spinner" class="spinner" style="display:none;">
		<img src="${resource(dir:'images',file:'spinner.gif')}" alt="Spinner" />
	</div>

<div id="header">
  <h1><a href="${resource(dir:'')}">Yet another Blog</a></h1>
  <span><a href="${resource(dir:'')}">Groovy on Grails in action</a></span>
</div>

<div id="designcontent">
	<div id="left">
		<g:layoutBody />
	</div>

	<div id="right">
		<div class="menu">
			<div class="top"></div>
			<div class="middle">
				<div class="content">
					<h1>Menu</h1>
					<ul>
						<li><g:link controller="post" action="list">Home</g:link></li>
						<li><g:link controller="post" action="manage">Manage Posts</g:link></li>
						<li><g:link controller="user" action="manage">Manage Users</g:link></li>
						<li><g:link controller="blogCategory" action="manage">Manage Categories</g:link></li>
						<li><g:link controller="comment" action="manage">Manage Comments</g:link></li>
						<li><g:link controller="user" action="dologout">Logout</g:link></li>
                    </ul>
				</div>
			</div>
			<div class="bottom"></div>
		</div>

        <div class="menu" style="padding-top:20px;">
			<div class="top"></div>
			<div class="middle">
				<div class="content">
                <h1>Categories</h1>                
                <ul>
                    <g:each in="${BlogCategory.list()}" var="temp">
                        <li><g:link controller="blogCategory" action="details" id="${temp.id}">${temp}</g:link></li>
                    </g:each>
                </ul>
				</div>
			</div>
			<div class="bottom"></div>
		</div>
	</div>

	<div class="clear"></div>
</div>

<div id="footer">| &copy; 2009 HFT Stuttgart | Patrick Eschenbach | Sven Skrabal | Andreas Gawelczyk |</div>

</body>
</html>
