<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Post List</title>
    </head>
    <body>
        <g:each in="${Post.findAll([sort:'date',order:'desc'])}" status="i" var="postInstance">
		<div class="top"></div>
		<div class="middle">
			<div class="content">
                <div class="blogpost">
					<h1 class="heading"><g:link action="show" id="${postInstance.id}">${fieldValue(bean:postInstance, field:'title')}</g:link></h1>
					<h2 class="heading">von ${postInstance.user.name} am ${String.format('%tF', postInstance.date)} (Tags: ${postInstance.tags})</h2>
                    <p>${postInstance.content}</p>
                    <h3 class="heading">COMMENTS</h3>
					<g:if test="${postInstance.comments}">                        
                        <p><g:link action="show" id="${postInstance.id}">Read all ${Comment.findAllByPost(postInstance).size()} comments...</g:link></p>
                    </g:if>
                    <g:else>
                        <p><g:link action="create" controller="comment" params="[post:postInstance.id]" >There are no comments yet. Be the first one to write some...</g:link></p>
                    </g:else>
                    <g:if test="${postInstance.categories}">
                        <h3 class="heading">CATEGORIES</h3>
                        <ul class="categories">
                        <g:each in="${postInstance.categories}" var="postCategory">
                            <li><g:link controller="blogCategory" action="details" id="${postCategory.id}" >${postCategory}</g:link></li>
                        </g:each>
                        </ul>
                    </g:if>
				</div>
            </div>
		</div>
		<div class="bottom"></div>
        </g:each>
    </body>
</html>
