<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Post List</title>
    </head>
    <body>
        <g:if test="${flash.message}">
        <div class="message">${flash.message}</div>
        </g:if>
		<div class="top"></div>
		<div class="middle">
			<div class="content">
                <div class="blogpost">
					<h1 class="heading"><g:link action="show" id="${postInstance.id}">${fieldValue(bean:postInstance, field:'title')}</g:link></h1>
					<h2 class="heading">von ${postInstance.user.name} am ${String.format('%tF', postInstance.date)}</h2>
                    <p>${postInstance.content}</p>
					<h3 class="heading">COMMENTS</h3>
                    <g:each in="${Comment.findAllByPost(postInstance, [sort:'date',order:'asc'])}" var="postComment">
					<div class="comment">
						<div class="top2"></div>
						<div class="middle2">
							<div class="content2">
								<h1>
                                <g:if test="${postComment.website}"><a href="${postComment.website}" target="_blank"></g:if>${postComment.author}<g:if test="${postComment.website}"></a></g:if> wrote at ${String.format('%tF', postComment.date)}...
                                </h1>
								${postComment.content}
							</div>
						</div>
						<div class="bottom2"></div>
					</div>
                    </g:each>
                    <g:if test="${postInstance.comments.size()!=0}">
                        <p><g:link action="create" controller="comment" params="[post:postInstance.id]" >Post a new comment...</g:link></p>
                    </g:if>
                    <g:else>
                        <p><g:link action="create" controller="comment" params="[post:postInstance.id]" >There are no comments yet. Be the first one to write some...</g:link></p>
                    </g:else>
                    <g:if test="${postInstance.categories}">
                        <h3 class="heading">CATEGORIES</h3>
                        <ul class="categories">
                        <g:each in="${postInstance.categories}" var="postCategory">
                            <li><g:link controller="blogCategory" action="details" id="${postCategory.id}" >${postCategory}</g:link></li>
                        </g:each>
                        </ul>
                    </g:if>
				</div>
            </div>
		</div>
		<div class="bottom"></div>
    </body>
</html>
